Package org.apache.wiki.rss

## Class RSS20Feed

- java.lang.Object
- - org.apache.wiki.rss.Feed
  - - org.apache.wiki.rss.RSS20Feed

    public class RSS20Feed
    extends Feed

Represents an RSS 2.0 feed (with enclosures). This feed provides no fizz-bang features.

Since:
  2.2.27

### Field Summary

### Fields inherited from class org.apache.wiki.rss.Feed

`m_channelDescription, m_channelLanguage, m_channelTitle, m_entries, m_feedURL, m_mode, m_wikiContext, VAR_BLOGNAME`

### Constructor Summary

Constructors
`RSS20Feed​(Context context)` Creates an RSS 2.0 feed for the specified Context.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString()` Returns the XML for the feed contents in a String format.

### Methods inherited from class org.apache.wiki.rss.Feed

`addEntry, format, getChannelDescription, getChannelLanguage, getChannelTitle, getFeedURL, getMimeType, getSiteName, setChannelDescription, setChannelLanguage, setChannelTitle, setFeedURL, setMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS20Feed

    public RSS20Feed​(Context context)

Creates an RSS 2.0 feed for the specified Context.

Parameters:
  `context` - The WikiContext.

### Method Detail

#### getString

    public java.lang.String getString()

Returns the XML for the feed contents in a String format. All subclasses must implement.

Specified by:
  `getString` in class `Feed`
Returns:
  valid XML, ready to be shoved out.